package io.hmit.modules.log.service;


import io.hmit.common.page.PageData;
import io.hmit.common.service.BaseService;
import io.hmit.modules.log.dto.SysLogErrorDTO;
import io.hmit.modules.log.entity.SysLogErrorEntity;

import java.util.List;
import java.util.Map;

/**
 * 异常日志
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0
 */
public interface SysLogErrorService extends BaseService<SysLogErrorEntity> {

    PageData<SysLogErrorDTO> page(Map<String, Object> params);

    List<SysLogErrorDTO> list(Map<String, Object> params);

    void save(SysLogErrorEntity entity);

}